//1005,"akt199523.sc","akt199523.sc",1.00,SYSTEM
//Copyright (c) Sage sp. z o.o.. Wszelkie prawa zastrzeone.

#include "cnv.sci"
#include "hfall.sci"
#include "programy.sci"
#include "upgraps.sci"

#include "log.sci"
logInit( false )
log( ( using "aktakt199523.sc: arg1=\"%s\", arg2=\"%s\", arg3=\"%s\" - BEGIN", arg1, arg2, KatalogFirmy() ) )

typWydruku = TYPWYDRUKU_GRAPH
setStrona( 1900, 0, 0 )
strona 70, 250, 70, 200

setFont( "tekst" )
nazwaRaportu = "Aktualizacja deklaracji VAT-UE(K) - 199523"

#define NAZWAOPERACJI nazwaRaportu

int sub opis( int a_pie )
endsub

int sub podsumowanie( int a_ost )
endsub

ROKIDTYPE sub cnvcbGetRok()
	cnvcbGetRok = 0
endsub

int sub cnvcbGetTabela()
	cnvcbGetTabela = BFI_SYSPROG
endsub

string sub cnvcbGetOperacja()
	cnvcbGetOperacja = NAZWAOPERACJI
endsub

bool sub UaktualnijRaportZPliku(string sFile)
	PRGERRTYPE pe
	pe = prgAdd( sFile )
	if !pe then
		print using "Baz raportw firmy zaktualizowano plikiem \"%s\".\n", sFile
		UaktualnijRaportZPliku = true
	endif
	if PRGERR_EXISTS == pe then
		print using "Plik \"%s\" zosta pominity, poniewa firma zawiera aktualn wersj tego raportu.\n", sFile
		pe = 0
		UaktualnijRaportZPliku = true
	endif
	if pe then
		print using "Bd %d podczas aktualizacji raportw plikiem \"%s\".\n", pe, sFile
		UaktualnijRaportZPliku = false
	endif
endsub

header( 1 )

string sPath
sPath = Katalog() + "raporty\\cnv\\"

// tu jest klu raportu, aktualizujemy wyspecyfikowane raporty (zapakowane w .amb eby si nie uruchamiay)
// wrzucanie ich w raporty\fk spowoduje konieczno usunicia po wprowadzeniu aktualizacji raportw na wzr innych moduw(??)
bool bSuccess =             UaktualnijRaportZPliku( sPath + "xvue_5.sc.amb" )
if bSuccess then bSuccess = UaktualnijRaportZPliku( sPath + "xvuek_5.sc.amb" ) 
// koniec clue, reszta to kapsuka

//Ponisze odkomentowywa tylko do testw (eby si wykonanie w historii nie zapisywao).
//Wtedy pojawi si komunikat o bdzie wykonania, i okno wydruku nie jest zamykane.
//W oknie wydruku mona obejrze list aktualizowanych raportw i status operacji dla kadego aktualizowanego raportu.
//bSuccess = false

string s
log( ( using "bSuccess: %d", bSuccess ) )
if bSuccess then
	s = "Zaktualizowano baz raportw."
else
	s = "Bd aktualizacji bazy raportw do wersji."
endif
print s
log( s )

footer( 1 )

// w przypadku sukcesu, czytelne oznaczenie e akcja si wykonaa, w History.
// w przypadku bdu, ustawienie BUF, spowoduje e raport wykona si przy kolejnym wejciu.
cnvSetReportStatus( bSuccess, NAZWAOPERACJI, NAZWAOPERACJI )

log( ( "akt199523.sc - END" ) )
logDone()
close
